Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.scripts
Class ArgumentInfoList

    java.lang.Object
      org.eclipse.birt.report.model.api.scripts.ArgumentInfoList

All Implemented Interfaces:
  IArgumentInfoList

    public class ArgumentInfoList

extends java.lang.Object
implements IArgumentInfoList

Represents an optional argument list of a method.

Constructor Summary
`protected` | `ArgumentInfoList(java.lang.Class[] params)` Constructor.

Method Summary
`java.util.Iterator` | `argumentsIterator()` Returns the iterator of argument definition.
`IArgumentInfo` | `getArgument(java.lang.String argumentName)` Returns the argument definition given the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentInfoList

    protected ArgumentInfoList(java.lang.Class[] params)

  Constructor.

  Parameters:
    `params` - the parameters for the method

Method Detail

### getArgument

    public IArgumentInfo getArgument(java.lang.String argumentName)

  Returns the argument definition given the name.

  Specified by:
    `getArgument` in interface `IArgumentInfoList`
  Parameters:
    `argumentName` - name of the argument to get
  Returns:
    the argument definition with the specified name.

### argumentsIterator

    public java.util.Iterator argumentsIterator()

  Returns the iterator of argument definition. Each one is a list that contains `IArgumentInfo`.

  Specified by:
    `argumentsIterator` in interface `IArgumentInfoList`
  Returns:
    iterator of argument definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.